net.sf.jasperreports.engine.util

## Class WrappingImageMapRenderable

- java.lang.Object
- - net.sf.jasperreports.engine.util.WrappingRenderable
  - - net.sf.jasperreports.engine.util.WrappingImageMapRenderable

- All Implemented Interfaces:
    java.io.Serializable, ImageMapRenderable, JRImageMapRenderer, JRRenderable, Renderable

  Deprecated.
  To be removed.

      public class WrappingImageMapRenderable
      extends WrappingRenderable
      implements ImageMapRenderable

  Version:
    $Id: WrappingImageMapRenderable.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.Renderable

      `PROPERTY_IMAGE_DPI`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRRenderable

      `IMAGE_TYPE_GIF, IMAGE_TYPE_JPEG, IMAGE_TYPE_PNG, IMAGE_TYPE_TIFF, IMAGE_TYPE_UNKNOWN, MIME_TYPE_GIF, MIME_TYPE_JPEG, MIME_TYPE_PNG, MIME_TYPE_TIFF, TYPE_IMAGE, TYPE_SVG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrappingImageMapRenderable(JRImageMapRenderer imageMapRenderer)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<JRPrintImageAreaHyperlink>` | `getImageAreaHyperlinks(java.awt.geom.Rectangle2D renderingArea)` Deprecated. Returns the list of `image map areas`.
    `boolean` | `hasImageAreaHyperlinks()` Deprecated. Indicates whether the renderer actually includes any image map areas.
    `java.util.List<JRPrintImageAreaHyperlink>` | `renderWithHyperlinks(java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)` Deprecated. Returns the list of `image map areas`.

    - ### Methods inherited from class net.sf.jasperreports.engine.util.WrappingRenderable

      `getDimension, getDimension, getId, getImageData, getImageData, getImageType, getImageTypeValue, getType, getTypeValue, render, render`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.Renderable

      `getDimension, getId, getImageData, getImageTypeValue, getTypeValue, render`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRRenderable

      `getDimension, getImageData, getImageType, getType, render`

- - ### Constructor Detail

    - #### WrappingImageMapRenderable

          public WrappingImageMapRenderable(JRImageMapRenderer imageMapRenderer)

      Deprecated.

  - ### Method Detail

    - #### renderWithHyperlinks

          public java.util.List<JRPrintImageAreaHyperlink> renderWithHyperlinks(java.awt.Graphics2D grx,
                                                                       java.awt.geom.Rectangle2D rectangle)
                                                                         throws JRException

      Deprecated.
      Description copied from interface: `JRImageMapRenderer`
      Returns the list of `image map areas`.
      Specified by:
        `renderWithHyperlinks` in interface `JRImageMapRenderer`
        `rectangle` - the area on which the image would be rendered
      Returns:
        a list of `JRPrintImageAreaHyperlink` instances.
      Throws:
        `JRException`

    - #### getImageAreaHyperlinks

          public java.util.List<JRPrintImageAreaHyperlink> getImageAreaHyperlinks(java.awt.geom.Rectangle2D renderingArea)
                                                                           throws JRException

      Deprecated.
      Description copied from interface: `ImageMapRenderable`
      Returns the list of `image map areas`.
      Specified by:
        `getImageAreaHyperlinks` in interface `ImageMapRenderable`
      Specified by:
        `getImageAreaHyperlinks` in interface `JRImageMapRenderer`
      Parameters:
        `renderingArea` - the area on which the image would be rendered
      Returns:
        a list of `JRPrintImageAreaHyperlink` instances.
      Throws:
        `JRException`

    - #### hasImageAreaHyperlinks

          public boolean hasImageAreaHyperlinks()

      Deprecated.
      Description copied from interface: `ImageMapRenderable`
      Indicates whether the renderer actually includes any image map areas.
      Specified by:
        `hasImageAreaHyperlinks` in interface `ImageMapRenderable`
      Specified by:
        `hasImageAreaHyperlinks` in interface `JRImageMapRenderer`
      Returns:
        whether the renderer actually includes any image map areas

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com